Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		kdebase-workspace
Version:	4.1.1
Release:	1
License:	GNU/GPL, LGPL
URL:		http://www.kde.org
Group:		Graphical Desktop/KDE4
Source0:	kdebase-workspace-%{version}.tar.bz2
Patch1:         kdebase-workspace-4.0.1-ccux-startkde.patch
Patch3: 	kdebase-workspace-4.0.72-plasma-konsole.patch
Patch4: 	kdebase-workspace-4.0.72-show-systemsettings.patch
# 434824: KDE4 System Settings - No Method To Enter Administrative Mode
Patch6: 	kdebase-workspace-4.0.72-rootprivs.patch
Patch7: 	kdebase-workspace-4.0.3-timedate-kcm.patch
# 441062: packagekit tools do not show icons correctly on KDE
Patch8: 	kdebase-workspace-4.0.3-krdb.patch
Patch10:	kdebase-workspace-4.0.72-klipper-url.patch
# allows to define a default wallpaper via plasmarc:wallpaper
Patch11: 	kdebase-workspace-4.0.85-plasma-default-wallpaper.patch
# upstream patches:
# backport Plasma tooltip manager from KDE 4.2 (fixes regression from 4.0)
# This is a cumulative patch from the following revision pairs: 833271:833299,
# 833385:833386, 833479:833545, 833580:833581, 833587:833620, 834651:834652
# This is backwards BC wrt 4.1, but the API of the new classes is not finalized.
Patch100: 	kdebase-workspace-4.0.99-plasma-tooltips.patch
# plasma-4.0-openSUSE patches:
Patch204: 	kdebase-workspace-4.0.98-kickoff-suspend.patch
# fix systray icons visibility with qt4 4.4.1
# see http://bugs.kde.org/show_bug.cgi?id=168007 for details
Patch300:	kdebase-workspace-4.1.0-qt441_systray_visibility.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	K Desktop Environment - Workspace
Requires:	kdebase-runtime
BuildRequires:	qt4-devel
BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	kdepimlibs4-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	openssl-devel
BuildRequires:	xine-lib-devel
BuildRequires:	libxcb-devel
BuildRequires:	libpthread-stubs
BuildRequires:	bluez-libs-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	libxklavier-devel
BuildRequires:	libusb-devel
BuildRequires:	libraw1394-devel
BuildRequires:	libxkbfile-devel
BuildRequires: 	NetworkManager-devel xmms-devel
#Obsoletes: 	kdebase < 1:4
Requires: 	kdebase
Obsoletes: 	kdebase4-workspace < %{version}-%{release}
Provides:  	kdebase4-workspace = %{version}-%{release}


%description
The KDE Workspace consists of what is the desktop of the 
KDE Desktop Environment.

This package contains:
* kdm (the login manager of KDE)
* khotkeys (a hotkey daemon)
* klipper (a cut & paste history utility)
* kmenuedit (the menu editor)
* krandrtray (resize and rotate X screens)
* krunner (a command run interface)
* ksysguard (a performance monitor)
* kwin (the window manager of KDE)
* kxkb (a utility to switch keyboard maps)
* plasma (the KDE desktop, panels and widgets workspace application)
* systemsettings (the configuration editor)


%package	devel
Summary:	Header files for compiling KDE 4 applications
Group:		Development/Libraries
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdebase4-workspace-devel < %{version}-%{release}
Provides:  	kdebase4-workspace-devel = %{version}-%{release}

%description	devel
This package includes the header files you will need to compile
applications for KDE 4.

%post
ldconfig
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
ldconfig
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :


%prep
%setup -q
%patch1 -p1
%patch3 -p1 -b .plasma-konsole
#%patch4 -p1 -b .show-systemsettings
%patch6 -p1 -b .rootprivs
%patch7 -p0 -b .timedate-kcm
%patch8 -p0 -b .krdb
%patch10 -p1 -b .klipper-url
%patch11 -p1
# upstream patches
%patch100 -p1
%patch204 -p1 -b .kickoff-suspend

#%patch300 -p1 -b .systray-qt441

%build
mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} %{?_without_nm} \
  -DKDE4_KDM_PAM_SERVICE=kdm \
  -DKDE4_KCHECKPASS_PAM_SERVICE=kcheckpass \
  -DKDE4_KSCREENSAVER_PAM_SERVICE=kscreensaver ..
popd

## Disable smp build for now, seems to be broken
make %{?_smp_mflags} -C %{_target_platform}
##make -C %{_target_platform}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

#cp %{buildroot}%{_bindir}/startkde %{buildroot}%{_bindir}/startkde4
#rm -rf %{buildroot}%{_bindir}/startkde

# xsession support
mkdir -p %{buildroot}%{_datadir}/xsessions/
ln -s %{_kde4_appsdir}/kdm/sessions/kde.desktop %{buildroot}%{_datadir}/xsessions/kde.desktop

#install -m 755 -d $RPM_BUILD_ROOT/usr/share/xsessions/
#install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/xsessions/

# FIXME/TODO: provide kdm config in kde-settings(-kdm)
# nuke, use external kde-config-kdm
#rm -rf  %{buildroot}%{_kde4_configdir}/kdm

# own %{_kde4_appsdir}/kdm/faces and set default user image
#mkdir -p %{buildroot}%{_kde4_appsdir}/kdm/faces
#pushd %{buildroot}%{_kde4_appsdir}/kdm/faces
#ln -sf ../pics/users/default1.png .default.face.icon
#popd

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit*.so)
      ;;
    # leave libworkspace.so for kate
    libkworkspace.so|libplasma.so)
      linktarget=`readlink "$i"`
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd



%files
%defattr(-,root,root,-)
%doc COPYING README
%config(noreplace) %{_kde4_sysconfdir}/systemsettingsrc
%config(noreplace) %{_kde4_sysconfdir}/ksysguarddrc
%{_kde4_bindir}/*
%{_kde4_appsdir}/*
%{_kde4_configdir}/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_datadir}/autostart/*
%{_kde4_datadir}/applications/kde4/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/xsessions/*
%{_kde4_docdir}/HTML/en/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/libexec/*
%{_libdir}/strigi/
%{_kde4_libdir}/libkdeinit*.so
%{_kde4_libdir}/kconf_update_bin/*
%{_kde4_datadir}/wallpapers/*
%{_kde4_iconsdir}/Oxygen_Black/
%{_kde4_iconsdir}/Oxygen_Black_Big/
%{_kde4_iconsdir}/Oxygen_Blue/
%{_kde4_iconsdir}/Oxygen_Blue_Big/
%{_kde4_iconsdir}/Oxygen_White/
%{_kde4_iconsdir}/Oxygen_White_Big/
%{_kde4_iconsdir}/Oxygen_Yellow/
%{_kde4_iconsdir}/Oxygen_Yellow_Big/
%{_kde4_iconsdir}/Oxygen_Zion/
%{_kde4_iconsdir}/Oxygen_Zion_Big/
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so
%{_kde4_libdir}/kde4/devel/lib*.so
%{_kde4_libdir}/kde4/plugins/designer/ksysguardwidgets.so
%exclude %{_kde4_libdir}/libkdeinit*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Aug 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-6
- added patch against systray icons visibility problem on qt4 4.4.1
(kdebug #168007)
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-5
- altered ccux startkde patch
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-4
- renamed package
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- move devel symlinks
* Sun Jul 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- fixed startkde issue
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Mon Jun 16 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update ( 4.1 Beta 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.2-2
- rebuilt against libxklavier 3.5
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Thu Feb 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-2
- moved KDEHOMEDIR to ~/.kde4
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Version update to RC2
* Thu Dec 06 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-3
- added startup patches, xsessions conf
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-2
- rebuild, moved prefix to /usr
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-1
- Version update to latest rc
* Tue Nov 20 2007 Simon Schmeisser Simon Schmeisser <wrt@ccux-linux.de> 3.95.2-1
- Version update to Beta 4 - svn739162,
  split into seperate packages & sources
* Wed Sep 19 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-1
- Version update to Beta 2 -svn714529
* Wed Aug 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.92-1
- Version update to Beta 1 - svn700427
* Wed Jun 27 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-2
- Version update - svn680852
* Thu Jun 7 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-1
- Initial Release - svn673043
